classification
Title: Deprecate spurious benchmarks
Type: enhancement Stage: resolved
Components: Benchmarks Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pitrou Nosy List: brett.cannon, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2014-10-25 20:26 by pitrou, last changed 2014-10-28 19:10 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
deprecated.patch pitrou, 2014-10-25 20:26
Messages (3)
msg230015 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-25 20:26
"iterative_count" and "threaded_count" are really uninteresting benchmarks, inherited from Dave Beazley's GIL experiments. I suggest to deprecate them and remove from the "all" and "2n3" sets. Patch attached.
msg230028 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-10-26 15:02
LGTM
msg230166 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-28 19:10
New changeset 100eee4adc4c by Antoine Pitrou in branch 'default':
Fix #22728: deprecate spurious benchmarks
https://hg.python.org/benchmarks/rev/100eee4adc4c
History
Date User Action Args
2014-10-28 19:10:43pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-10-28 19:10:31python-devsetnosy: + python-dev
messages: + msg230166
2014-10-26 15:02:12brett.cannonsetassignee: pitrou
messages: + msg230028
2014-10-25 20:26:12pitrousetnosy: + brett.cannon
2014-10-25 20:26:06pitroucreate